# Connect Soda to Azure Synapse

> For Soda to run quality scans on your data, you must configure it to connect to your data source.\
> To learn how to set up Soda and configure it to connect to your data sources, see [Get started](https://docs.soda.io/soda-documentation/soda-v3/quick-start-sip/setup-guide).

## Connection configuration reference

Because Synapse is compatible with MS SQL server wire protocol, Soda offers indirect support for Synapse data sources using the `soda-sqlserver` package.\
Soda also supports Azure Data Factory (ADF) with Airflow using this configuration.

```yaml
data_source my_datasource_name:
  type: sqlserver
  driver: SQL Server Native Client 11.0
  host: my_server.sql.azuresynapse.net
  port: '1433'
  database: my_database
  username: simple
  password: simple_pass
  encrypt: true
```

| Property | Required | Notes                                                                                                         |
| -------- | -------- | ------------------------------------------------------------------------------------------------------------- |
| type     | required | Identify the type of data source for Soda.                                                                    |
| driver   | required | Use this config setting to specify the ODBC driver version you use, such as `SQL Server Native Client 11.0`   |
| host     | required | Provide a host identifier.                                                                                    |
| port     | optional | Provide a port identifier. You can remove the `port` config setting entirely. Default: `1433`.                |
| database | required | Provide an identifier for your database.                                                                      |
| username | required | Use system variables to retrieve this value securely.                                                         |
| password | required | Use system variables to retrieve this value securely.                                                         |
| encrypt  | optional | Indicate the encryption status by providing a boolean value: `true` or `false`. The default value is `false`. |

## Test the data source connection <a href="#test-the-data-source-connection" id="test-the-data-source-connection"></a>

To confirm that you have correctly configured the connection details for the data source(s) in your configuration YAML file, use the `test-connection` command. If you wish, add a `-V` option to the command to return results in verbose mode in the CLI.

```sh
soda test-connection -d my_datasource -c configuration.yml -V
```

## Supported data types

| Category | Data type                                                                              |
| -------- | -------------------------------------------------------------------------------------- |
| text     | CHAR, VARCHAR, TEXT                                                                    |
| number   | BIG INT, NUMERIC, BIT, SMALLINT, DECIMAL, SMALLMONEY, INT, TINYINT, MONEY, FLOAT, REAL |
| time     | DATE, TIME, DATETIME, DATETIMEOFFSET                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soda.io/soda-documentation/soda-v3/data-source-reference/connect-synapse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
